package com.mdd.admin.validate.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import org.hibernate.validator.constraints.Length;

@ApiModel("系统管理员自更新参数")
public class SystemAdminUpInfoValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("用户昵称")
   private @NotEmpty(
   message = "昵称不能为空"
) @Length(
   min = 2,
   max = 30,
   message = "昵称必须在2~30个字符内"
) String nickname;
   private @Length(
   max = 32,
   message = "密码必须在6~32个字符内"
) String password = "";
   private @Length(
   max = 32,
   message = "当前密码错误"
) String currPassword = "";
   private @Length(
   max = 200,
   message = "头像不能超出200个字符"
) String avatar = "";

   public String getNickname() {
      return this.nickname;
   }

   public String getPassword() {
      return this.password;
   }

   public String getCurrPassword() {
      return this.currPassword;
   }

   public String getAvatar() {
      return this.avatar;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setPassword(String password) {
      this.password = password;
   }

   public void setCurrPassword(String currPassword) {
      this.currPassword = currPassword;
   }

   public void setAvatar(String avatar) {
      this.avatar = avatar;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAdminUpInfoValidate)) {
         return false;
      } else {
         SystemAdminUpInfoValidate other = (SystemAdminUpInfoValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label59: {
               Object this$nickname = this.getNickname();
               Object other$nickname = other.getNickname();
               if (this$nickname == null) {
                  if (other$nickname == null) {
                     break label59;
                  }
               } else if (this$nickname.equals(other$nickname)) {
                  break label59;
               }

               return false;
            }

            Object this$password = this.getPassword();
            Object other$password = other.getPassword();
            if (this$password == null) {
               if (other$password != null) {
                  return false;
               }
            } else if (!this$password.equals(other$password)) {
               return false;
            }

            Object this$currPassword = this.getCurrPassword();
            Object other$currPassword = other.getCurrPassword();
            if (this$currPassword == null) {
               if (other$currPassword != null) {
                  return false;
               }
            } else if (!this$currPassword.equals(other$currPassword)) {
               return false;
            }

            Object this$avatar = this.getAvatar();
            Object other$avatar = other.getAvatar();
            if (this$avatar == null) {
               if (other$avatar != null) {
                  return false;
               }
            } else if (!this$avatar.equals(other$avatar)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAdminUpInfoValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      Object $password = this.getPassword();
      result = result * 59 + ($password == null ? 43 : $password.hashCode());
      Object $currPassword = this.getCurrPassword();
      result = result * 59 + ($currPassword == null ? 43 : $currPassword.hashCode());
      Object $avatar = this.getAvatar();
      result = result * 59 + ($avatar == null ? 43 : $avatar.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAdminUpInfoValidate(nickname=" + this.getNickname() + ", password=" + this.getPassword() + ", currPassword=" + this.getCurrPassword() + ", avatar=" + this.getAvatar() + ")";
   }
}
